Module org.firebirdsql.jaybird
Package org.firebirdsql.jdbc

# Class FBObjectListener

java.lang.Object
org.firebirdsql.jdbc.FBObjectListener

@InternalApi public final class FBObjectListener extends Object
Defines a set of listeners that will be called in different situations.

Author:
  Roman Rokytskyy, Mark Rotteveel

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static interface`
`FBObjectListener.BlobListener`
Listener for the events generated by BLOBs.
`static interface`
`FBObjectListener.FetcherListener`
`static final class`
`FBObjectListener.NoActionBlobListener`
Implementation of `FBObjectListener.BlobListener` that does nothing.
`static final class`
`FBObjectListener.NoActionResultSetListener`
Implementation of `FBObjectListener.ResultSetListener` that does nothing.
`static interface`
`FBObjectListener.ResultSetListener`
Listener for the events generated by the result set.
`static interface`
`FBObjectListener.StatementListener`
Listener for the events generated by statements.

## Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`